Skip to main content

Trigger a data access check on an integration.

POSThttps://api.propexo.com/v1/admin/integrations/:integration_id/data-access

Trigger a data access check on an integration. This will reassess access to various data models. Using this can result in different detected access and can affect the data that is pulled in each sync and pushed during write operations. Only one data access check can be running at a time.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

integration_id stringrequired

The Propexo unique identifier for the integration

Request​

This endpoint expects an object.

    object

Response​

Successful response

    result objectrequired
    began_data_accessbooleanrequired

    Whether or not the data access check was successfully started.

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/admin/integrations/:integration_id/data-access
curl -X POST https://api.propexo.com/v1/admin/integrations/:integration_id/data-access \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
200 Successful response
{
"result": {
"began_data_access": true
}
}